#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export DH_GOPKG := launchpad.net/go-dbus/v1
export BUILDDIR := build

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_test:
	cd $(BUILDDIR)/src/$(DH_GOPKG)
	for t in 'S.Test.*coder.*' 'S.TestAuthenticate' 'S.TestMatch.*' \
		'S.TestNew.*' 'S.TestNonceTcpTransportDial' 'S.TestReadMessage' \
		'S.TestSigna.*' 'S.TestTcpTransportDial' 'S.TestUnixTransportDial' \
		'S.TestWriteMessage'; do \
		GOPATH=$(CURDIR)/$(BUILDDIR) go test -gocheck.v -gocheck.f $$t; \
	done
